.chart-parent {
    min-height: 350px;
}

/*Customize tooltip for chart */
.chartjs-tooltip {
    position: absolute;
    pointer-events: none;
    background: #000000;
    border: 1px solid #444;
    border-radius: 4px;
    font-family: sans-serif;
    font-size: 14px;
    line-height: 2;
    padding: 8px;
    opacity: 0;
    transition: all 0.1s ease;
    color: #fff;
}

.chartjs-tooltip .title {
    margin-bottom: 6px;
    font-weight: bold;
    text-align: left;
}

.chartjs-tooltip .item {
    display: flex;
    justify-content: space-between;
    margin: 2px 0;
}

.chartjs-tooltip .item .label-bar {
    color: rgba(123, 90, 240, 1);
}

.chartjs-tooltip .item .label-line {
    color: #facc15;
}

.chartjs-tooltip .item .value {
    color: #fff;
    margin-left: 8px;
}

/* Customise legend for chart */
.legend-container {
    display: flex;
    justify-content: center;
    column-gap: 600px;
    flex-wrap: nowrap;
    overflow-x: auto;
    margin-top: 8px;
    margin-bottom: 8px;
}


.legend-item {
    display: flex;
    align-items: center;
    cursor: pointer;
    color: #ccc;
    font-size: 14px;
}

.legend-dot {
    width: 18px;
    height: 18px;
    border-radius: 50%;
    display: inline-block;
    margin-right: 6px;
}

/* wrap your text in a span so we can target it */
#customLegend .legend-label {
  display: inline-block;
  user-select: none;
}

/* when NOT active → strike through the text & dim both dot + label */
#customLegend .legend-item:not(.active) .legend-label {
  text-decoration: line-through;
  opacity: 0.5;
}
#customLegend .legend-item:not(.active) .legend-dot {
  opacity: 0.5;
}



